﻿using compdfkit_tools.Helper;
using ComPDFKitViewer.PdfViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace compdfkit_tools.PDFControl
{
    /// <summary>
    /// TitleBarControl.xaml 的交互逻辑
    /// </summary>
    /// 
    public partial class TitleBarControl : UserControl
    {
        public event EventHandler<string> OpenFileEvent;

        public TitleBarControl()
        {
            InitializeComponent();
        }

        private void OpenFileItem_Click(object sender, RoutedEventArgs e)
        {
            var fileItem = sender as MenuItem;
            if (fileItem != null)
            {
                string filePath = CommonHelper.GetFilePathOrEmpty();
                if (!string.IsNullOrEmpty(filePath))
                {
                    OpenFileEvent?.Invoke(sender, filePath);
                }
            }
        }
    }
}
