﻿using ComPDFKitViewer.PdfViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace viewer_ctrl_demo.PDFDisplaySettings
{
    /// <summary>
    /// displaysettings.xaml 的交互逻辑
    /// </summary>
    public partial class PDFDisplaySettings : UserControl
    {
        public CPDFViewer PDFViewer;
        public PDFDisplaySettings()
        {
            //InitializeComponent();
            //BrowseModeControl.Loaded += BrowseModeControl_Loaded;
            //ColorModeControl.Loaded += ColorModeControl_Loaded;
        }

        private void BrowseModeControl_Loaded(object sender, RoutedEventArgs e)
        {
           // BrowseModeControl.SetBrowsingModeEvent += BrowseModeControl_SetBrowsingMode;
        }

        private void BrowseModeControl_SetBrowsingMode(object sender, string e)
        {
            switch (e)
            {
                case "SinglePageModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.Single);
                    break;
                case "SinglePageContinuousModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.SingleContinuous);
                    break;
                case "DoublePageModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.Double);
                    break;
                case "DoublePageContinuousModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.DoubleContinuous);
                    break;
                case "BookModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.Book);
                    break;
                case "BookContinuousModeRadioButton":
                    PDFViewer.ChangeViewMode(ComPDFKitViewer.ViewMode.BookContinuous);
                    break;
            }
        }

        private void ScrollModeControl_Loaded(object sender, RoutedEventArgs e)
        {
        }

        private void ColorModeControl_Loaded(object sender, RoutedEventArgs e)
        {
        }

    }
}
